Feature Flags

Get the list of pending changes of a flag

GET
/api/v1/envs/{envId}/feature-flags/{key}/pending-changes

Get the list of pending changes of a particular flag

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

envId*string
Formatuuid
key*string

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/envs/497f6eca-6276-4993-bfeb-53cbbbba6f08/feature-flags/string/pending-changes"
{  "success": true,  "errors": [    "string"  ],  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "flagId": "8872ed4e-aef3-4929-9fcf-2d71741365e7",      "dataChange": {        "previous": "string",        "current": "string"      },      "creatorId": "688ebf54-d343-4104-8711-82c2feac534a",      "creatorName": "string",      "createdAt": "2019-08-24T14:15:22Z",      "instructions": [        {          "kind": "string",          "value": null        }      ],      "type": "string",      "status": "string",      "scheduleTitle": "string",      "scheduledTime": "2019-08-24T14:15:22Z",      "changeRequestId": "d5a18ebf-600a-4c49-94e6-860a60628549",      "changeRequestReason": "string",      "reviewers": [        {          "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",          "action": "string",          "timestamp": "2019-08-24T14:15:22Z"        }      ]    }  ]}